class RubygemsProjectSettingsController < ApplicationController
  unloadable
  layout 'base'

  before_filter :find_project, :authorize, :find_user

  def update    
    setting = RubygemsProjectSetting.find_or_create @project.id
    begin
      setting.gemdir_path = params['gemdir_path'] if params.include?('gemdir_path')
      setting.export_path = params['export_path'] if params.include?('export_path')
      setting.annonce_enabled = (params.include?('annonce_enabled'))? params['annonce_enabled'] : 0 
      setting.local_deployment_enabled = (params.include?('local_deployment_enabled'))? params['local_deployment_enabled'] : 0 
      setting.gemdir_deployment_enabled = (params.include?('gemdir_deployment_enabled'))? params['gemdir_deployment_enabled'] : 0 
      setting.gemcutter_deployment_enabled = (params.include?('gemcutter_deployment_enabled'))? params['gemcutter_deployment_enabled'] : 0 
      setting.save!
      flash[:notice] = l('rubygems.controller.notice_successful_update')
    rescue
      flash[:error] = l('rubygems.controller.notice_failed_update') 
    end
    
    redirect_to :controller => 'projects', :action => "settings", :id => @project, :tab => 'rubygems'
  end

  private
  def find_project
    # @project variable must be set before calling the authorize filter
    @project = Project.find(params[:project_id])
  end

  def find_user
    @user = User.current
  end
end
