require_dependency 'projects_helper'

module RubygemsProjectsHelperPatch
  def self.included(base) # :nodoc:
    base.send(:include, ProjectsHelperMethodsRubygems)

    base.class_eval do
      unloadable # Send unloadable so it will not be unloaded in development

      alias_method_chain :project_settings_tabs, :rubygems
    end

  end
end

module ProjectsHelperMethodsRubygems
  def project_settings_tabs_with_rubygems
    tabs = project_settings_tabs_without_rubygems
    action = {:name => 'rubygems', :controller => 'rubygems_project_settings', :action => :show, :partial => 'rubygems_project_settings/show', :label => 'rubygems.views.rubygems_project_settings.label'}
    tabs << action if User.current.allowed_to?(action, @project)
    tabs
  end
end

ProjectsHelper.send(:include, RubygemsProjectsHelperPatch)